Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.metaproject
Interface Group

All Superinterfaces:
  PolicyControlledObject

All Known Implementing Classes:
  GroupImpl

    public interface Group

extends PolicyControlledObject

Method Summary
`void` | `addMember(User member)`
`String` | `getDescription()`
`Set<User>` | `getMembers()`
`MetaProject` | `getMetaProject()`
`String` | `getName()`
`void` | `setDescription(String description)`
`void` | `setMembers(Collection<User> members)`
`void` | `setName(String name)`

Methods inherited from interface edu.stanford.smi.protege.server.metaproject.PolicyControlledObject
`addAllowedGroupOperations, addInCollection, addPropertyValue, addPropertyValue, getAllowedGroupOperations, getInCollection, getPropertyValue, getPropertyValues, getPropertyValuesAsString, getProtegeInstance, isPolicyModifiableByClient, removeInCollection, removePropertyValue, removePropertyValue, setAllowedGroupOperations, setInCollection, setPolicyModifiableByClient, setPropertyValues`

Method Detail

### getName

    String getName()

  Specified by:
    `getName` in interface `PolicyControlledObject`

### getMembers

    Set<User> getMembers()

### getDescription

    String getDescription()

  Specified by:
    `getDescription` in interface `PolicyControlledObject`

### setDescription

    void setDescription(String description)

  Specified by:
    `setDescription` in interface `PolicyControlledObject`

### setName

    void setName(String name)

  Specified by:
    `setName` in interface `PolicyControlledObject`

### addMember

    void addMember(User member)

### setMembers

    void setMembers(Collection<User> members)

### getMetaProject

    MetaProject getMetaProject()

  Specified by:
    `getMetaProject` in interface `PolicyControlledObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.